<?php

// Routes for request.

// Guard routes for request
Route::prefix('{guard}/request')->group(function () {

    Route::get('request/report/{report}', 'RequestReportController');
    Route::patch('request/actions/{action}', 'RequestActionsController');
    Route::patch('request/action/{request}/{action}', 'RequestActionController');
    Route::patch('request/workflow/{request}/{transition}', 'RequestWorkflowController');
    Route::resource('request', 'RequestResourceController');
});



// Public routes for request
Route::get('requests/', 'RequestPublicController@index');
Route::get('request/{slug?}', 'RequestPublicController@show');
