<?php

// Web routes  for request.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for request

Route::prefix('{guard}/request')->group(function () {

    Route::get('/workflow/{request}/{user}', 'RequestWorkflowController@get')
        ->name('bixo.request.workflow');
    Route::post('/workflow/{request}/{user}', 'RequestWorkflowController@post');

    Route::get('/action/{request}/{user}', 'RequestActionController@get')
        ->name('bixo.request.action');
    Route::post('/action/{request}/{user}', 'RequestActionController@post');

});

