<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for request in request package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  request module in request package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Request',
    'names' => 'Requests',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Requests',
        'sub' => 'Requests'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'Document',
                    'value'  => 'Document',
                    'text'   => 'Document',
                ],
                                
                [
                    'key'    => 'Leave',
                    'value'  => 'Leave',
                    'text'   => 'Leave',
                ],
                                
            ],

        'document_type' => 
            [
                                
                [
                    'key'    => 'NOC',
                    'value'  => 'NOC',
                    'text'   => 'NOC',
                ],
                                
                [
                    'key'    => 'Salary Certificate',
                    'value'  => 'Salary Certificate',
                    'text'   => 'Salary Certificate',
                ],
                                
                [
                    'key'    => 'Reference Letter',
                    'value'  => 'Reference Letter',
                    'text'   => 'Reference Letter',
                ],
                                
                [
                    'key'    => 'Employment Certificate',
                    'value'  => 'Employment Certificate',
                    'text'   => 'Employment Certificate',
                ],
                                
                [
                    'key'    => 'Salary Transfer Letter',
                    'value'  => 'Salary Transfer Letter',
                    'text'   => 'Salary Transfer Letter',
                ],
                                
                [
                    'key'    => 'Payslip',
                    'value'  => 'Payslip',
                    'text'   => 'Payslip',
                ],
                                
                [
                    'key'    => 'Labour Contract',
                    'value'  => 'Labour Contract',
                    'text'   => 'Labour Contract',
                ],
                                
            ],

        'leave_type' => 
            [
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Unpaid',
                    'value'  => 'Unpaid',
                    'text'   => 'Unpaid',
                ],
                                
                [
                    'key'    => 'sick_leave',
                    'value'  => 'sick_leave',
                    'text'   => 'sick_leave',
                ],
                                
                [
                    'key'    => 'maternity_leave',
                    'value'  => 'maternity_leave',
                    'text'   => 'maternity_leave',
                ],
                                
                [
                    'key'    => 'paternity_leave',
                    'value'  => 'paternity_leave',
                    'text'   => 'paternity_leave',
                ],
                                
                [
                    'key'    => 'Casual',
                    'value'  => 'Casual',
                    'text'   => 'Casual',
                ],
                                
                [
                    'key'    => 'holiday',
                    'value'  => 'holiday',
                    'text'   => 'holiday',
                ],
                                
                [
                    'key'    => 'annual_leave',
                    'value'  => 'annual_leave',
                    'text'   => 'annual_leave',
                ],
                                
                [
                    'key'    => 'absent',
                    'value'  => 'absent',
                    'text'   => 'absent',
                ],
                                
                [
                    'key'    => 'bereavement_leave',
                    'value'  => 'bereavement_leave',
                    'text'   => 'bereavement_leave',
                ],
                                
                [
                    'key'    => 'business_trip',
                    'value'  => 'business_trip',
                    'text'   => 'business_trip',
                ],
                                
                [
                    'key'    => 'work_from_home',
                    'value'  => 'work_from_home',
                    'text'   => 'work_from_home',
                ],
                                
                [
                    'key'    => 'offset',
                    'value'  => 'offset',
                    'text'   => 'offset',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Accepted',
                    'value'  => 'Accepted',
                    'text'   => 'Accepted',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Archived',
                    'value'  => 'Archived',
                    'text'   => 'Archived',
                ],
                                
                [
                    'key'    => 'Manager Pending',
                    'value'  => 'Manager Pending',
                    'text'   => 'Manager Pending',
                ],
                                
                [
                    'key'    => 'Manager Rejected',
                    'value'  => 'Manager Rejected',
                    'text'   => 'Manager Rejected',
                ],
                                
                [
                    'key'    => 'HR Pending',
                    'value'  => 'HR Pending',
                    'text'   => 'HR Pending',
                ],
                                
                [
                    'key'    => 'HR Rejected',
                    'value'  => 'HR Rejected',
                    'text'   => 'HR Rejected',
                ],
                                
                [
                    'key'    => 'Handover Pending',
                    'value'  => 'Handover Pending',
                    'text'   => 'Handover Pending',
                ],
                                
                [
                    'key'    => 'Handover Rejected',
                    'value'  => 'Handover Rejected',
                    'text'   => 'Handover Rejected',
                ],
                                
                [
                    'key'    => 'Accounts Pending',
                    'value'  => 'Accounts Pending',
                    'text'   => 'Accounts Pending',
                ],
                                
                [
                    'key'    => 'Accounts Rejected',
                    'value'  => 'Accounts Rejected',
                    'text'   => 'Accounts Rejected',
                ],
                                
            ],

        'manager_status' => 
            [
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
            ],

        'hr_status' => 
            [
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'employee_id'                => 'Please enter employee id',
        'handover_to'                => 'Please enter handover to',
        'handover_approved_id'        => 'Please enter handover approved id',
        'team_id'                    => 'Please enter team id',
        'accounts_id'                => 'Please enter accounts id',
        'mobile'                     => 'Please enter mobile',
        'email'                      => 'Please enter email',
        'type'                       => 'Please select type',
        'title'                      => 'Please enter title',
        'date_from'                  => 'Please select date from',
        'date_to'                    => 'Please select date to',
        'period'                     => 'Please enter period',
        'document_type'              => 'Please select document type',
        'addresee'                   => 'Please enter addresee',
        'leave_type'                 => 'Please select leave type',
        'leave_paid'                 => 'Please enter leave paid',
        'leave_half_day'             => 'Please enter leave half day',
        'paid'                       => 'Please enter paid',
        'unpaid'                     => 'Please enter unpaid',
        'description'                => 'Please enter description',
        'notes'                      => 'Please enter notes',
        'amount'                     => 'Please enter amount',
        'status'                     => 'Please select status',
        'approved_id'                => 'Please enter approved id',
        'approved_at'                => 'Please select approved at',
        'rejected_id'                => 'Please enter rejected id',
        'rejected_at'                => 'Please select rejected at',
        'manager_id'                 => 'Please enter manager id',
        'manager_status'             => 'Please select manager status',
        'hr_id'                      => 'Please enter hr id',
        'hr_status'                  => 'Please select hr status',
        'rejected_reason'            => 'Please enter rejected reason',
        'rejected_description'        => 'Please enter rejected description',
        'accepted_id'                => 'Please enter accepted id',
        'accepted_at'                => 'Please select accepted at',
        'hr_approved_at'             => 'Please select hr approved at',
        'return_to'                  => 'Please select return to',
        'salary'                     => 'Please enter salary',
        'add_commission'             => 'Please enter add commission',
        'traveling_to'               => 'Please enter traveling to',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'employee_id'                => 'Employee id',
        'handover_to'                => 'Handover to',
        'handover_approved_id'        => 'Handover approved id',
        'team_id'                    => 'Team id',
        'accounts_id'                => 'Accounts id',
        'mobile'                     => 'Mobile',
        'email'                      => 'Email',
        'type'                       => 'Type',
        'title'                      => 'Title',
        'date_from'                  => 'Date from',
        'date_to'                    => 'Date to',
        'period'                     => 'Period',
        'document_type'              => 'Document type',
        'addresee'                   => 'Addresee',
        'leave_type'                 => 'Leave type',
        'leave_paid'                 => 'Leave paid',
        'leave_half_day'             => 'Leave half day',
        'paid'                       => 'Paid',
        'unpaid'                     => 'Unpaid',
        'description'                => 'Description',
        'notes'                      => 'Notes',
        'amount'                     => 'Amount',
        'status'                     => 'Status',
        'approved_id'                => 'Approved id',
        'approved_at'                => 'Approved at',
        'rejected_id'                => 'Rejected id',
        'rejected_at'                => 'Rejected at',
        'manager_id'                 => 'Manager id',
        'manager_status'             => 'Manager status',
        'hr_id'                      => 'Hr id',
        'hr_status'                  => 'Hr status',
        'rejected_reason'            => 'Rejected reason',
        'rejected_description'        => 'Rejected description',
        'accepted_id'                => 'Accepted id',
        'accepted_at'                => 'Accepted at',
        'hr_approved_at'             => 'Hr approved at',
        'return_to'                  => 'Return to',
        'salary'                     => 'Salary',
        'add_commission'             => 'Add commission',
        'traveling_to'               => 'Traveling to',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
